Subject: Re: [Linux-zigbee-devel] [PATCH] 6lowpan: nuke net_ieee802154_lowpan() accessor when 6lowpan is disabled

From: Alexander Aring <[email-masked]>
Date: Thu, 24 Apr 2014 19:33:35 +0200

Hi Luis,

On Thu, Apr 24, 2014 at 10:25:58AM -0700, Luis R. Rodriguez wrote:
> On Thu, Apr 24, 2014 at 9:44 AM, Alexander Aring <[email-masked]> wrote:
> > Hi,
> >
> > On Tue, Apr 22, 2014 at 12:03:58PM -0700, Luis R. Rodriguez wrote:
> >> From: "Luis R. Rodriguez" <mcgrof-IBi9RG/[email-masked]>
> >>
> >> Johannes noted this is not needed, all of the fragment
> >> accessors don't need CONFIG_NET_NS. This goes test compiled with
> >> CONFIG_BT_6LOWPAN=y and a disabled CONFIG_NET_NS.
> >>
> >
> > a little note about this here. There exists two 6LoWPAN standard. One
> > for bluetooth low energy and one for IEEE 802.15.4.
> >
> > The actual namespace is only for IEEE 802.15.4, because we need
> > fragmentation there. 6LoWPAN fragmentation for bluetooth low energy is
> > already handled by the MAC-Layer. So this has nothing to do with
> > CONFIG_BT_6LOWPAN.
> 
> Thanks for the clarification, I actually did mean
> CONFIG_IEEE802154_6LOWPAN however, I goofed that on the commit log.
> 

ok. But I need to say thanks for sending this patch! :-)

It's nice to see that the community helps to improving the code which I
produced and it's really not perfect at the moment. (I was a little bit
shocked that somebody makes the effort to making a backport about that).

- Alex